CONJ(3)

NAME
conj, conjf, conjl - calculate the complex conjugate

SYNOPSIS
#include <complex.h>

double complex conj(double complex z);
float complex conjf(float complex z);
long double complex conjl(long double complex z);

Link with -lm.

DESCRIPTION
The conj() function returns the complex conjugate value of z. That is the value obtained by changing the sign of the imaginary part.

One has cabs(z) = csqrt(z * conj(z)).

CONFORMING TO
C99

SEE ALSO
cabs(3), sqrt(3), complex(7)